---
title: danog\MadelineProto\Db\DbArray: DB array interface.
description: 

image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# `danog\MadelineProto\Db\DbArray`
[Back to index](../../../index.md)

> Author: Daniil Gentili <daniil@daniil.it>  
  

DB array interface.  




## Method list:
* `getArrayCopy(): \Amp\Promise`
* `isset(string|int $key): \Amp\Promise`
* `offsetGet(string|int $index): \Amp\Promise`
* `offsetSet(string|int $index, mixed $value): void`
* `offsetUnset(string|int $index): \Amp\Promise`
* `count(): \Amp\Promise<int>`
* `getIterator()`
* `getInstance(string $table, null|\danog\MadelineProto\Db\DbType|array $value, \danog\MadelineProto\Settings\DatabaseAbstract $settings): \Amp\Promise<self>`

## Methods:
### `getArrayCopy(): \Amp\Promise`

Get Array copy.


Fully typed return value:
```
\Amp\Promise<array<string|int, \T>>
```
#### See also: 
* `\T`
* `\Amp\Promise`




### `isset(string|int $key): \Amp\Promise`

Check if element is set.


Parameters:
* `$key`: `string|int`   


Fully typed return value:
```
\Amp\Promise<bool>
```
#### See also: 
* `\Amp\Promise`




### `offsetGet(string|int $index): \Amp\Promise`

Get element.


Parameters:
* `$index`: `string|int`   


Fully typed return value:
```
\Amp\Promise<\T>
```
#### See also: 
* `\T`
* `\Amp\Promise`




### `offsetSet(string|int $index, mixed $value): void`

Set element.


Parameters:
* `$index`: `string|int`   
* `$value`: `mixed`   
  Full type:
  ```
  \T
  ```


#### See also: 
* `\T`




### `offsetUnset(string|int $index): \Amp\Promise`

Unset element.


Parameters:
* `$index`: `string|int` Offset  


#### See also: 
* `\Amp\Promise`




### `count(): \Amp\Promise<int>`

Count number of elements.


#### See also: 
* `\Amp\Promise`




### `getIterator()`

Get iterator.



### `getInstance(string $table, null|\danog\MadelineProto\Db\DbType|array $value, \danog\MadelineProto\Settings\DatabaseAbstract $settings): \Amp\Promise<self>`




Parameters:
* `$table`: `string`   
* `$value`: `null|\danog\MadelineProto\Db\DbType|array`   
* `$settings`: `\danog\MadelineProto\Settings\DatabaseAbstract`   


#### See also: 
* [`\danog\MadelineProto\Settings\DatabaseAbstract`: Base class for storage backends.](../Settings/DatabaseAbstract.md)
* `\Amp\Promise`




---
Generated by [danog/phpdoc](https://phpdoc.daniil.it)
