---
title: danog\MadelineProto\Db\SqlArray: Generic SQL database backend.
description: 

image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# `danog\MadelineProto\Db\SqlArray`
[Back to index](../../../index.md)

> Author: Daniil Gentili <daniil@daniil.it>  
  

Generic SQL database backend.  




## Method list:
* `getInstance(string $table, \danog\MadelineProto\Db\DbArray|array|null $value, \danog\MadelineProto\Settings\Database\DatabaseAbstract $settings): \Amp\Promise`
* `getArrayCopy(): \Amp\Promise`
* `isset(string|int $key): \Amp\Promise`
* `offsetGet(string|int $index): \Amp\Promise`
* `offsetSet(string|int $index, mixed $value): void`
* `offsetUnset(string|int $index): \Amp\Promise`
* `count(): \Amp\Promise<int>`
* `getIterator()`

## Methods:
### `getInstance(string $table, \danog\MadelineProto\Db\DbArray|array|null $value, \danog\MadelineProto\Settings\Database\DatabaseAbstract $settings): \Amp\Promise`




Parameters:
* `$table`: `string`   
* `$value`: `\danog\MadelineProto\Db\DbArray|array|null`   
* `$settings`: `\danog\MadelineProto\Settings\Database\DatabaseAbstract`   


Fully typed return value:
```
\Amp\Promise<static>
```
#### See also: 
* [`\danog\MadelineProto\Db\DbArray`: DB array interface.](./DbArray.md)
* [`\danog\MadelineProto\Settings\Database\DatabaseAbstract`: Base class for database backends.](../Settings/Database/DatabaseAbstract.md)
* `\Amp\Promise`




### `getArrayCopy(): \Amp\Promise`

Get Array copy.


Fully typed return value:
```
\Amp\Promise<array<string|int, \T>>
```
#### See also: 
* `\T`
* `\Amp\Promise`




### `isset(string|int $key): \Amp\Promise`

Check if element is set.


Parameters:
* `$key`: `string|int`   


Fully typed return value:
```
\Amp\Promise<bool>
```
#### See also: 
* `\Amp\Promise`




### `offsetGet(string|int $index): \Amp\Promise`

Get element.


Parameters:
* `$index`: `string|int`   


Fully typed return value:
```
\Amp\Promise<\T>
```
#### See also: 
* `\T`
* `\Amp\Promise`




### `offsetSet(string|int $index, mixed $value): void`

Set element.


Parameters:
* `$index`: `string|int`   
* `$value`: `mixed`   
  Full type:
  ```
  \T
  ```


#### See also: 
* `\T`




### `offsetUnset(string|int $index): \Amp\Promise`

Unset element.


Parameters:
* `$index`: `string|int` Offset  


#### See also: 
* `\Amp\Promise`




### `count(): \Amp\Promise<int>`

Count number of elements.


#### See also: 
* `\Amp\Promise`




### `getIterator()`

Get iterator.



---
Generated by [danog/phpdoc](https://phpdoc.daniil.it)
