---
title: danog\MadelineProto\Settings\Database\DatabaseAbstract: Base class for database backends.
description: 

image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
---
# `danog\MadelineProto\Settings\Database\DatabaseAbstract`
[Back to index](../../../../index.md)

> Author: Daniil Gentili <daniil@daniil.it>  
  

Base class for database backends.  




## Method list:
* `getKey(): string`
* `getCacheTtl(): int`
* `setCacheTtl(int|string $cacheTtl): self`
* `getPassword(): string`
* `setPassword(string $password): self`
* `getDatabase(): string|int`
* `getUri(): string`
* `setDatabase(int|string $database): self`
* `setUri(string $uri): self`
* `hasChanged(): bool`

## Methods:
### `getKey(): string`

Get DB key.



### `getCacheTtl(): int`

Get for how long to keep records in memory after last read, for cached backends.



### `setCacheTtl(int|string $cacheTtl): self`

Set for how long to keep records in memory after last read, for cached backends.
The cache TTL identifier can be a string like '+5 minutes'.

Parameters:
* `$cacheTtl`: `int|string` For how long to keep records in memory after last read, for cached backends.  



### `getPassword(): string`

Get password.



### `setPassword(string $password): self`

Set password.


Parameters:
* `$password`: `string` Password.  



### `getDatabase(): string|int`

Get database name/ID.



### `getUri(): string`

Get database URI.



### `setDatabase(int|string $database): self`

Set database name/ID.


Parameters:
* `$database`: `int|string`   



### `setUri(string $uri): self`

Set database URI.


Parameters:
* `$uri`: `string`   



### `hasChanged(): bool`

Get whether this setting was changed, also applies changes.



---
Generated by [danog/phpdoc](https://phpdoc.daniil.it)
