---
title: danog\MadelineProto\Db\MysqlArray: MySQL database backend.
description: 

---
# `danog\MadelineProto\Db\MysqlArray`
[Back to index](../../../index.md)

> Author: Daniil Gentili <daniil@daniil.it>  
  

MySQL database backend.  




## Method list:
* `initStartup(): \Generator`
* `isset( $key): \Promise<bool> true if the offset exists, otherwise false`
* `offsetSet(string|int $index,  $value)`
* `offsetUnset(string|int $index): \Amp\Promise`
* `count(): \Promise<int> The number of elements or public properties in the associated
array or object, respectively.`
* `initConnection(\danog\MadelineProto\Settings\Database\Mysql $settings): \Generator`
* `getInstance(string $table, \danog\MadelineProto\Db\DbArray|array|null $value, \danog\MadelineProto\Settings\Database\DatabaseAbstract $settings): \Amp\Promise`

## Methods:
### `initStartup(): \Generator`

Initialize on startup.


#### See also: 
* `\Generator`




### `isset( $key): \Promise<bool> true if the offset exists, otherwise false`

Check if key isset.


Parameters:
* `$key`: ``   


Return value: true if the offset exists, otherwise false


### `offsetSet(string|int $index,  $value)`

Set value for an offset.


Parameters:
* `$index`: `string|int` <p>
The index to set for.
</p>  
* `$value`: ``   



### `offsetUnset(string|int $index): \Amp\Promise`

Unset value for an offset.


Parameters:
* `$index`: `string|int` <p>
The offset to unset.
</p>  


#### See also: 
* `\Amp\Promise`




### `count(): \Promise<int> The number of elements or public properties in the associated
array or object, respectively.`

Count elements.


Return value: The number of elements or public properties in the associated
array or object, respectively.


### `initConnection(\danog\MadelineProto\Settings\Database\Mysql $settings): \Generator`

Initialize connection.


Parameters:
* `$settings`: `\danog\MadelineProto\Settings\Database\Mysql`   


#### See also: 
* [`\danog\MadelineProto\Settings\Database\Mysql`: MySQL backend settings.](../Settings/Database/Mysql.md)
* `\Generator`




### `getInstance(string $table, \danog\MadelineProto\Db\DbArray|array|null $value, \danog\MadelineProto\Settings\Database\DatabaseAbstract $settings): \Amp\Promise`




Parameters:
* `$table`: `string`   
* `$value`: `\danog\MadelineProto\Db\DbArray|array|null`   
* `$settings`: `\danog\MadelineProto\Settings\Database\DatabaseAbstract`   


Fully typed return value:
```
\Amp\Promise<static>
```
#### See also: 
* [`\danog\MadelineProto\Db\DbArray`: DB array interface.](./DbArray.md)
* [`\danog\MadelineProto\Settings\Database\DatabaseAbstract`: Base class for database backends.](../Settings/Database/DatabaseAbstract.md)
* `\Amp\Promise`




---
Generated by [danog/phpdoc](https://phpdoc.daniil.it)
