---
title: danog\MadelineProto\Loop\Update\UpdateLoop: Update loop.
description: 

---
# `danog\MadelineProto\Loop\Update\UpdateLoop`
[Back to index](../../../../index.md)

> Author: Daniil Gentili <daniil@daniil.it>  
  

Update loop.  




## Constants
* `danog\MadelineProto\Loop\Update\UpdateLoop::GENERIC`: Main loop ID.


## Method list:
* `loop(): \Generator`
* `pause(?int $time): \Promise Resolved when the loop is resumed`
* `resume(): \Promise Resolved when the loop is paused again`
* `resumeDefer(): \Promise Resolved when the loop is paused again`
* `start(): bool`
* `isRunning(): bool`
* `signal(mixed|\Throwable $what): void`
* `waitSignal(\Promise|\Generator $promise): \Promise`

## Methods:
### `loop(): \Generator`

Main loop.


#### See also: 
* `\Generator`




### `pause(?int $time): \Promise Resolved when the loop is resumed`

Pause the loop.


Parameters:
* `$time`: `?int` For how long to pause the loop, if null will pause forever (until resume is called from outside of the loop)  


Return value: Resolved when the loop is resumed


### `resume(): \Promise Resolved when the loop is paused again`

Resume the loop.


Return value: Resolved when the loop is paused again


### `resumeDefer(): \Promise Resolved when the loop is paused again`

Defer resuming the loop to next tick.


Return value: Resolved when the loop is paused again


### `start(): bool`

Start the loop.
Returns false if the loop is already running.


### `isRunning(): bool`

Check whether loop is running.



### `signal(mixed|\Throwable $what): void`

Send signal to loop.


Parameters:
* `$what`: `mixed|\Throwable` Data to signal  


#### See also: 
* `\Throwable`




### `waitSignal(\Promise|\Generator $promise): \Promise`

Resolve the promise or return|throw the signal.


Parameters:
* `$promise`: `\Promise|\Generator` The original promise or generator  
  Full type:
  ```
  \Promise<\T>|\Generator<mixed, \Promise|array<array-key, \Promise>, mixed, \Promise<\T>|\T>
  ```


Fully typed return value:
```
\Promise<\T|mixed>
```
#### See also: 
* `\Promise`
* `\Generator`
* `\T`




---
Generated by [danog/phpdoc](https://phpdoc.daniil.it)
