---
title: account.resetWebAuthorization
description: Log out an active web [telegram login](https://core.telegram.org/widgets/login) session
image: https://docs.madelineproto.xyz/favicons/android-chrome-256x256.png
redirect_from: /API_docs/methods/account_resetWebAuthorization.html
---
# Method: account.resetWebAuthorization  
[Back to methods index](index.md)


Log out an active web [telegram login](https://core.telegram.org/widgets/login) session

### Parameters:

| Name     |    Type       | Description | Required |
|----------|---------------|-------------|----------|
|hash|[long](../types/long.md) | [Session](../constructors/webAuthorization.md) hash | Yes|


### Return type: [Bool](../types/Bool.md)

### Can bots use this method: **NO**


### MadelineProto Example ([now async for huge speed and parallelism!](https://docs.madelineproto.xyz/docs/ASYNC.html)):


```php
if (!file_exists('madeline.php')) {
    copy('https://phar.madelineproto.xyz/madeline.php', 'madeline.php');
}
include 'madeline.php';

$MadelineProto = new \danog\MadelineProto\API('session.madeline');
$MadelineProto->start();

$Bool = $MadelineProto->account->resetWebAuthorization(['hash' => long, ]);
```

Or, if you're into Lua:

```lua
Bool = account.resetWebAuthorization({hash=long, })
```

